# IRsScaleSnappingManager Interface Reference

Inherits IUnknown.

List of all members.

## Public Member Functions
HRESULT | HideMarkers ()
HRESULT | SetParameters ([in] RtScaleSnapperInfo *sp)
HRESULT | UpdateScalingConstraints ([in] RtVector2f *pScreenPosition)
HRESULT | GetSnappedScale ([in] RtVector2f *pScreenPosition,[in] RtVector3f *pInputScale,[out, retval]RtVector3f *pSnapScale)
HRESULT | GetContinueScaleTracking ([out, retval] RtBool *pbFlag)
HRESULT | RemoveSoftConstraints ([in] RtVector3f *pConstraints,[in]RtUlong dwNum)
HRESULT | GetCurrentScale ([out, retval] RtVector3f *pPos)
HRESULT | GetCurrentView ([out, retval] IRsNode **ppNode)
HRESULT | GetScaleBasis ([out] RtVector3f *pvAxisX,[out] RtVector3f *pvAxisY,[out] RtVector3f *pvAxisZ)

## Detailed Description

Scale snapping manager provides scaling snapping functionality.

## Member Function Documentation

HRESULT IRsScaleSnappingManager::HideMarkers | ( |  | ) |

Hide active markers. Markers will be shown after next execution of snapping manager.

HRESULT IRsScaleSnappingManager::SetParameters | ( | [in] RtScaleSnapperInfo * | sp | ) |

Set snapper runtime parameters. This must be called before ApplyMovementConstraints or GetSnappedPosition is called to setup internal structures.

HRESULT IRsScaleSnappingManager::UpdateScalingConstraints | ( | [in] RtVector2f * | pScreenPosition | ) |

Apply scale constraints and evaluate constrained position.

HRESULT IRsScaleSnappingManager::GetSnappedScale | ( | [in] RtVector2f * | pScreenPosition,
|  | [in] RtVector3f * | pInputScale,
|  | [out, retval] RtVector3f * | pSnapScale |
| ) |  |  |

Evaluate snapped scale.

HRESULT IRsScaleSnappingManager::GetContinueScaleTracking | ( | [out, retval] RtBool * | pbFlag | ) |

Check, if we should snap current scale to stop scale tracking.

HRESULT IRsScaleSnappingManager::RemoveSoftConstraints | ( | [in] RtVector3f * | pConstraints,
|  | [in] RtUlong | dwNum |
| ) |  |  |

Remove soft constraints from enabled coordiantes. Soft axis is the one that has angle>45degs from each constraint

HRESULT IRsScaleSnappingManager::GetCurrentScale | ( | [out, retval] RtVector3f * | pPos | ) |

Return current position, movement active movement constraint basis is used to evaluate it.

HRESULT IRsScaleSnappingManager::GetCurrentView | ( | [out, retval] IRsNode ** | ppNode | ) |

Return current view node for which this snapping manager was created

HRESULT IRsScaleSnappingManager::GetScaleBasis | ( | [out] RtVector3f * | pvAxisX,
|  | [out] RtVector3f * | pvAxisY,
|  | [out] RtVector3f * | pvAxisZ |
| ) |  |  |

Get basis for current scaling coefficients.